Header Parameters
Checksummed wallet address performing the request.
API key obtained from the L1 derivation endpoint.
uuid64 character hexadecimal passphrase associated with the API key.
Unix timestamp in seconds (string) used for freshness checks.
Hex-encoded HMAC-SHA256 signature built from the L2 signing string.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Heartbeat session payload.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/heartbeats" \ -H "KUEST_ADDRESS: string" \ -H "KUEST_API_KEY: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "KUEST_PASSPHRASE: string" \ -H "KUEST_TIMESTAMP: string" \ -H "KUEST_SIGNATURE: string" \ -H "Content-Type: application/json" \ -d '{}'{ "heartbeat_id": "string"}{ "error": "string"}Header Parameters
Checksummed wallet address performing the request.
API key obtained from the L1 derivation endpoint.
uuid64 character hexadecimal passphrase associated with the API key.
Unix timestamp in seconds (string) used for freshness checks.
Hex-encoded HMAC-SHA256 signature built from the L2 signing string.
Response Body
application/json
application/json
curl -X POST "https://example.com/heartbeats" \ -H "KUEST_ADDRESS: string" \ -H "KUEST_API_KEY: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "KUEST_PASSPHRASE: string" \ -H "KUEST_TIMESTAMP: string" \ -H "KUEST_SIGNATURE: string"{ "status": "ok"}{ "error": "string"}